
const int ledPin = 2;
const int buttonPin = 31;
const int potPin = 5;

void setup() {
  Serial.begin(115200);
  
  pinMode(buttonPin, INPUT);
  pinMode(ledPin, OUTPUT);

  for (int i = 0; i < 3; i++) {
    digitalWrite(ledPin, HIGH);
    delay(500);
    digitalWrite(ledPin, LOW);
    delay(500);
  }
}

// the loop function runs over and over again forever
void loop() {
  
  int value= digitalRead(buttonPin); // read the value from the sensor (0 or 1)
  Serial.print("Digital Input Value: ");
  Serial.println(value);

  if(value) digitalWrite(ledPin, HIGH);
  else digitalWrite(ledPin, LOW);

  Serial.print("Analog Input Value: ");
  Serial.println(analogRead(potPin)); // read the value from the sensord
  delay(500); // short delay so we can actually see the numbers
}
